<?php
/*
 * Print main menu with options' icons
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100102
 */
function fncc_main() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><ul class="htabs">
		<li class="dashgroup">
			<a href="index.php?mod=<?=$mod?>" title="Dashboard" accesskey="0">
			<img src="images/dashboard/home.png" /><br/><?=_FNCC_DASHBOARD?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fncclist1", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/info.png" /><br/><?=_FNCC_FNOPTIONS?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fncclist2", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/app_kate.png" /><br/><?=_FNCC_MANAGEFN?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fncclist3", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/kdmconfig.png" /><br/><?=_FNCC_USERS?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fncclist4", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/security.png" /><br/><?=_FNCC_SECURITY?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fncclist5", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/kig.png" /><br/><?=_FNCC_THEME?>
			</a>
		</li>
		<li class="dashgroup">
			<?= build_ahah_link($mod, "&amp;fncclist=fnccplugins", "dashtab", "get"); ?>
			<img src="<?=get_fn_dir("sections")."/$mod"?>/none_images/hdd_unmount.png" /><br/>Plugins
			</a>
		</li>
	</ul><?
}

/*
 * Print submenu with options' icons
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_list1() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><!-- GENERAL INFOS -->
	<?= build_ahah_link($mod, "&amp;op=fnccinfo", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/info.png" alt="info" border="0" style="width:24px;" />&nbsp;<?=_FNCC_SERVERINFOS?>
	</a>
	<!-- GENERAL CONFIGURATION -->
	<?= build_ahah_link($mod, "&amp;op=fnccconf", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/kcontrol.png" alt="info" border="0" style="width:24px;" />&nbsp;<?=_FNCC_GENERALCONF?>
	</a>
	<!-- FTP MANAGER -->
	<a href="#" onclick="window.open('sections/<?=$mod?>/none_tools/webadmin.php','','toolbar=no,scrollbars=yes,resizable=yes');">
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/kfm.png" alt="file manager" border="0" style="width:24px;" />&nbsp;<?=_FNCC_FILEMANAGER?>
	</a>
	<?
}
function fncc_list2() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><!-- EDITING MOTD -->
	<?= build_ahah_link($mod, "&amp;op=fnccmotd", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/app_kate.png" alt="motd" border="0" style="width:24px;" />&nbsp;<?=_FNCC_MOTD?>
	</a>
	<!-- EDITING POLL -->
	<?= build_ahah_link($mod, "&amp;op=fnccpolledit", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/poll.png" alt="poll" border="0" style="width:24px;" />&nbsp;<?=_FNCC_POLL?>
	</a>
	<!-- DOWNLOAD CONFIGURATION -->
	<?= build_ahah_link($mod, "&amp;op=fnccdownconf", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/down.png" alt="download" border="0" style="width:24px;" />&nbsp;<?=_FNCC_DOWNCONF?>
	</a><?
}
function fncc_list3() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><!-- MEMBERS LIST -->
	<?= build_ahah_link($mod, "&amp;op=fnccmembers", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/kdmconfig.png" alt="manage users" border="0" style="width:24px;" />&nbsp;<?=_FNCC_USERSLIST?>
	</a>
	<!-- ADD A MEMBER -->
	<?= build_ahah_link($mod, "&amp;op=fnccnewprofile", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/add_user.png" alt="add user" border="0" style="width:24px;" />&nbsp;<?=_FNCC_ADDUSER?>
	</a>
	<!-- WAITING MEMBER -->
	<?= build_ahah_link($mod, "&amp;op=fnccwaitingusers", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/waiting_user.png" alt="waiting" border="0" style="width:24px;" />&nbsp;<?=_FNCC_USERSTOACTIVATE?> (<?=fncc_countwaitingusers()?>)
	</a><?
}
function fncc_list4() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><!-- BACKUPS -->
	<?= build_ahah_link($mod, "&amp;op=fnccbackup", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/hdd_unmount.png" alt="backup" border="0" style="width:24px;" />&nbsp;<?=_FNCC_BACKUPS?>
	</a>
	<!-- VIEW LOGS -->
	<?= build_ahah_link($mod, "&amp;op=fncclogs", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/mimetype_log.png" alt="logs" border="0" style="width:24px;" />&nbsp;<?=_FNCC_LOGS?>
	</a>
	<!-- MANAGE BLACKLISTS -->
	<?= build_ahah_link($mod, "&amp;op=fnccblacklists", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/security.png" alt="blacklists" border="0" style="width:24px;" />&nbsp;<?=_FNCC_BLACKLISTS?>
	</a><?
}
function fncc_list5() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	?><!-- THEME STRUCTURE -->
	<?= build_ahah_link($mod, "&amp;op=fnccthemestruct", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/kig.png" alt="structure" border="0" style="width:24px;" />&nbsp;<?=_FNCC_THEMESTRUCTURE?>
	</a>
	<!-- THEME PERSONALIZATION -->
	<?= build_ahah_link($mod, "&amp;op=fnccthemestyle", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/gimp.png" alt="theme" border="0" style="width:24px;" />&nbsp;<?=_FNCC_THEMESTYLE?>
	</a>
	<!-- CSS EDITING -->
	<?= build_ahah_link($mod, "&amp;op=fnccthemecss", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/stylesheet1.png" alt="css" border="0" style="width:24px;" />&nbsp;<?=_FNCC_CSSTHEME?>
	</a>
	<?= build_ahah_link($mod, "&amp;op=fnccforumcss", "fn_adminpanel", "get"); ?>
		<img src="<?=get_fn_dir("sections")?>/<?=$mod?>/none_images/stylesheet2.png" alt="css" border="0" style="width:24px;" />&nbsp;<?=_FNCC_CSSFORUM?>
	</a><?
}

/*
 * Print AHAH link
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20070729
 *
 * @param	string	$mod	FN mod to go to (GET)
 * @param	string	$option	FN option to execute (GET)
 * @param	string	$target	DIV target where to write results
 * @param	string	$method	'get' or 'post'
 * @param	string	$form	Form name from which keeping POST variables
 * @return string	$ahah_link	AHAH link for the option in input
 */
function build_ahah_link($mod, $option, $target, $method, $form="") {
	// security conversions
	$mod    = getparam($mod,    PAR_NULL, SAN_FLAT);
	$option = getparam($option, PAR_NULL, SAN_FLAT);
	$target = getparam($target, PAR_NULL, SAN_FLAT);
	$method = getparam($method, PAR_NULL, SAN_FLAT);
	// build the link
	switch($method) {
	case "get":
		$ahah_link = "<a href=\"javascript:completeAHAH.ahah('".get_fn_dir("sections")."/$mod/section.php?mod=$mod"."$option','$target','0','$method');\">";
	break;
	case "post":
		$ahah_link = "\n<form id=\"$form\" action=\"javascript:completeAHAH.likeSubmit('".get_fn_dir("sections")."/$mod/section.php?mod=$mod','$method','$form','$target');\">\n";
	break;
	}
	// return string result
	return($ahah_link);
}

/*
 * Print general informations about the site and the hosting
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100102
 */
function fncc_info() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	$req = getparam("REQUEST_URI", PAR_SERVER, SAN_NULL);
	// check if the GD library is installed or not
	if(function_exists("gd_info")) {
		$GDinfo = gd_info();
		$GDinfo = ereg_replace('[[:alpha:][:space:]()]+', '', $GDinfo['GD Version']);
	} else $GDinfo = _FNCC_NOGDLIB;
	// get siteurl
	$my_siteurl = $_SERVER["HTTP_HOST"].$_SERVER["PHP_SELF"];
	$my_siteurl = eregi_replace(get_fn_dir("sections")."\/".$mod."\/section\.php$","index.php",$my_siteurl);
	$protocol   = (isset($_SERVER['HTTPS']) AND $_SERVER['HTTPS']=="on") ? ("https://") : ("http://");
	// print some informations about the site
	?><div style="padding: 0em 0.5em 2em 0.5em;">
	<span class="fncc_title"><?=_FNCC_SERVERINFO?></span>
	<div style="padding-top:1em;"><b><?=_FNCC_SITEURL?></b><?=$protocol.$my_siteurl?></div>
	<div style="padding-top:1em;"><b><?=_FNCC_OS?></b><?=PHP_OS?></div>
	<div style="padding-top:1em;"><b><?=_FNCC_WEBSERVER?></b><?=$_SERVER["SERVER_SOFTWARE"]?></div>
	<div style="padding-top:1em;"><b><?=_FNCC_PHP?></b><?=phpversion();?> - <a href="<?=get_fn_dir("sections")?>/<?=$mod?>/none_tools/phpinfo.php" target="new" title="PHP informations">PHPInfo</a></div>
	<div style="padding-top:1em;"><b><?=_FNCC_GDLIB?></b><?=$GDinfo;?></div>
	<div style="padding-top:1em;"><b><?=_FNCC_FLATNUKE?></b><? if(function_exists("get_fn_version")) echo get_fn_version(); else echo _FNCC_FNUNKNOWN;?></div><?
	$total_space   = round(disk_free_space("./")/1024/1024,2);
	$site_space    = round(fncc_getsize("./")/1024/1024,2);
	$perc_occupied = round($site_space*100/$total_space,1);
	$perc_free     = round(100-($site_space*100/$total_space),1);
	?>
	<div style="padding-top:1em;"><b><?=_FNCC_SERVERSPACE?></b><?echo "$total_space Mb";?></div>
	<div style="padding:1em 0em 2em 0em;"><b><?=_FNCC_SITESPACE?></b><?echo "$site_space Mb";?>
		<p><table align="center" cellspacing="0"><tbody><tr>
		<td><?=$perc_occupied?>%&nbsp;</td>
		<td style="width:<?=$perc_occupied?>px;background-color:#FF0000;"></td>
		<td style="width:<?=$perc_free?>px;background-color:#00FF00;"></td>
		<td>&nbsp;<?=$perc_free?>%</td>
		</tr></tbody></table></p>
	</div>
	<span class="fncc_title"><?=_FNCC_MYINFOS?></h4></span>
	<div style="padding-top:1em;"><b><?=_FNCC_IP?></b><?=$_SERVER["REMOTE_ADDR"]?></div>
	<div style="padding-top:1em;"><b><?=_FNCC_USERAGENT?></b><?=$_SERVER["HTTP_USER_AGENT"]?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Return directory size
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20061101
 *
 * @param	string	$dirpath	Path of the directory to check
 * @return	integer	$totalsize	Size of the directory
 */
function fncc_getsize($dirpath) {
	// security conversions
	$dirpath = getparam($dirpath, PAR_NULL, SAN_FLAT);
	// go calculate
	require_once("include/filesystem/DeepDir.php");
	$totalsize = 0;
	$dir = new DeepDir();
	$dir->setDir($dirpath);
	$dir->load();
	foreach($dir->files as $n => $pathToFile)
		$totalsize += filesize($pathToFile);
	return $totalsize;
}

/*
 * Flatnuke general configuration
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_conf() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESGENERALCONF?></span>
		<div style="padding-top:1em;"><? fncc_generalconf(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage MOTD file
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_motd() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESMOTD?></span>
		<div style="padding-top:1em;"><? fncc_editconffile(get_fn_dir("var")."/motd.php"); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage poll configuration
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_polledit() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESPOLL?></span>
		<div style="padding-top:1em;"><? fncc_editpoll(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage FdPlus configuration
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_downconf() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESDOWNCONF?></span>
		<div style="padding-top:1em;"><? fncc_fdplusconf(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * List all members of the site
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_members() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESUSERSLIST?></span>
		<div style="padding-top:1em;"><? fncc_userslist(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Add a new user profile
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_newprofile() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESADDUSER?></span>
		<div style="padding-top:1em;"><? fncc_newuserprofile(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Add a waiting user profile
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_waitingusers() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_WAITINGUSERS?></span>
		<div style="padding-top:1em;"><? fncc_listwaiting(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Returns the number of users waiting for activation
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20070726
 *
 * @return	integer	Number of users waiting
 */
function fncc_countwaitingusers() {
	$waitinglist = array();
	$handle = opendir(get_waiting_users_dir());
	while($file = readdir($handle)) {
		if(eregi("^[0-9a-zA-Z]+\.php$", $file)) {
			array_push($waitinglist, $file);
		}
	}	//echo "<pre>";print_r($waitinglist);echo "</pre>";	//-> TEST
	closedir($handle);
	return(count($waitinglist));
}

/*
 * Admin can create and download FN backups
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_backups() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESBACKUPS?></span>
		<div style="padding-top:1em;"><? fncc_managebackups(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Returns the list of backup files
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20070722
 *
 * @return	array	List of backup files created in /var directory
 */
function fncc_listbackups() {
	$backup_files = array();
	$handle = opendir(get_fn_dir("var"));
	while($file = readdir($handle)) {
		if(eregi("^backup_[a-zA-Z]+_[0-9]+\.zip$", $file)) {
			array_push($backup_files, $file);
		}
	}
	closedir($handle);
	return($backup_files);
}

/*
 * Admin can look at Flatnuke logs
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_logs() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESLOGS?></span>
		<div style="padding-top:1em;"><? fncc_managelogs(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Admin can manage Flatnuke blacklists
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_blacklists() {
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESBLACKLISTS?></span>
		<div style="padding-top:1em;"><? fncc_manageblacklists(); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage theme's structure
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_themestruct() {
	global $theme;
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESTHEMESTRUCTURE?></span>
		<div style="padding-top:1em;"><? fncc_editconffile(get_fn_dir("themes")."/$theme/structure.php"); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage theme's personalisations
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_themestyle() {
	global $theme;
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESTHEMESTYLE?></span>
		<div style="padding-top:1em;"><? fncc_editconffile(get_fn_dir("themes")."/$theme/theme.php"); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage theme's CSS file
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_themecss() {
	global $theme;
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESCSSTHEME?></span>
		<div style="padding-top:1em;"><? fncc_editconffile(get_fn_dir("themes")."/$theme/style.css"); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Manage forum's CSS file
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_forumcss() {
	global $theme;
	?><div style="padding: 0 0.5em 2em 0.5em;">
		<span class="fncc_title"><?=_FNCC_DESCSSFORUM?></span>
		<div style="padding-top:1em;"><? fncc_editconffile(get_fn_dir("themes")."/$theme/forum.css"); ?></div>
	</div><?
	// print the back button
	echo _FNCC_GOTOP;
}

/*
 * Section reserved to site admins only
 *
 * @author Marco Segato <segatom@users.sourceforge.net>
 * @version 20100101
 */
function fncc_onlyadmin() {
	?><div style="padding: 2em 0.5em 2em 0.5em;text-align:center;"><h4><?=_FNCC_ONLYADMIN?></h4>
		<div style="padding-top:1em;"><img src="images/maintenance.png" alt="lock" border="0" /></div>
		<div style="padding-top:1em;"><?=_FNCC_DESONLYADMIN?></div>
	</div><?
	// log the attempt
	$ip = getparam("REMOTE_ADDR", PAR_SERVER, SAN_NULL);
	fnlog("Security", "$ip||".get_username()."||Tried to access the administration panel.");
}

/*
 * Load the list of third party plugins in the dashboard
 *
 * @author Alfredo Cosco <orazio.nelson@gmail.com>
 * @version 20100101
 */
function get_thirdparty_plugins() {
	// security conversions
	$mod = getparam("mod", PAR_GET, SAN_FLAT);
	$sections = get_fn_dir("sections");
	// check plugin's directory existance
	if(!is_dir("$sections/$mod/none_plugins")) {
		echo "The plugins directory does not exist, create the <i>none_plugins</i> directory in <i>$sections/$mod</i><br />";
	} else {
		// search for installed plugins
		$modlist   = array();
		$fileslist = array();
		$handle    = opendir("$sections/$mod/none_plugins");
		while ($tmpfile = readdir($handle)) {
			if(stristr($tmpfile,"none_")){
				if ( (!ereg("[.]",$tmpfile)) and is_dir("$sections/$mod/none_plugins/".$tmpfile)) {
					if ($tmpfile=="CVS") continue;
					array_push($modlist, $tmpfile);
				}
			}
		}
		closedir($handle);
		// order and print the list
		if(count($modlist)<=0) { 
			echo "The plugins directory is empty";
		} else {
			$modlist = str_replace("none_","",$modlist);
			sort($modlist);
			foreach($modlist as $k=>$v) {
				$parsev  = str_replace("_", " ", $v);
				echo build_ahah_link("$mod/none_plugins/none_$v", "&amp;plugin=none_$v", "fn_adminpanel", "get");
				if(file_exists("$sections/$mod/none_plugins/none_$v/modicon.png")){ 
					echo "<img src=\"$sections/$mod/none_plugins/none_$v/modicon.png\" alt=\"$parsev\" border=\"0\" style=\"width:24px;\" />&nbsp;";
				} else {
					echo "<img src=\"$sections/$mod/none_images/info.png\" alt=\"Add a 48x48 image modicon.png to: none_$v module to customize\" border=\"0\" style=\"width:24px;\" />&nbsp;";
				}
				echo $parsev;
				echo "</a>";
			}
		}
	}
}

?>
