<?php
chdir("../../../..");
include_once ("functions.php");

$plugin      = getparam('plugin', PAR_GET, SAN_FLAT);
$plugin_name = str_replace("none_","",$plugin);
$plugin_name = str_replace("_"," ",$plugin_name);
//var_dump($plugin);

?>
<span class="fncc_title"><?= $plugin_name ?></span>
<div style="padding: 1em 0.5em 2em 0.5em;">

<span>Questo plugin non fa nulla, mostra solo poche nozioni fondamentali per scrivere un plugin integrato con la dashboard per Flatnuke</span>

<ol>
	<li>il nome del plugin deve essere preceduto dal prefisso '<b>none_</b>'</li>
	<li>il plugin deve avere un file radice che si chiama secondo lo standard di Flatnuke: <b>section.php</b></li>
	<li>il plugin deve essere copiato nella cartella <b>sections/none_Admin/none_plugins</b></li>
	<li>per personalizzare il plugin e' possibile mettere un'icona nella stessa cartella del plugin e rinominarla <b>modicon.png</b>, e' consigliabile usare immagini 48x48</li>
	<li>questo e' l'array <b>$_GET</b> come passato dal link del plugin via ahah.js, generato automaticamente nella dashboard (se il plugin e' stato caricato correttamente):
	<pre><? print_r($_GET); ?></pre>vengono passati di default il modulo di riferimento, che è sempre <b>none_Admin</b>, ed il nome del plugin</li>
	<li>per poter usare le API di Flatnuke e' necessario cambiare la directory di lavoro del file section.php,
	che quindi andra' inizializzata con la funzione chdir() in questo modo: <pre>chdir("../../../..");<br />include_once ("functions.php");</pre></li>
	<li>i puntatori dei link e dei form nel plugin devono essere fatti con la chiamata ad <b>ahah.js</b></li>
	<li>Esempio di puntatore di un form, quindi via POST: <pre>action="javascript:completeAHAH.likeSubmit('sections/none_Admin/none_plugins/$plugin/section.php?mod=$mod&amp;plugin=$plugin','post','formname','dashboard');"</pre></li>
	<li>Esempio di puntatore tramite un link con ahah.js, quindi via GET: <pre> a href="javascript:completeAHAH.ahah('sections/none_Admin/none_plugins/$plugin/section.php?mod=$mod&amp;plugin=$plugin,'fn_adminpanel','0','get');"</pre>
	NB: il target sara' sempre il div: <b>fn_adminpanel</b> o un div incluso in esso, specifico dell'interfaccia di admin del modulo</li>
	<li>per creare ed usare plugin descritti secondo questo metodo e' necessario aver installato la dashboard</li>
</ol>

</div>
